/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use "@angular/material" as mat;
@import "openk.styles";


// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

/* stylelint-disable */
$openK-primary: mat.define-palette($openk-info-palette);
$openK-accent: mat.define-palette($openk-success-palette);
$openK-warn: mat.define-palette($openk-danger-palette);

// Create the theme object (a Sass map containing all of the palettes).
$openk-mat-theme: mat.define-light-theme(
    (
      color: (
        primary: $openK-primary,
        accent: $openK-accent,
        warn: $openK-warn,
      )
    )
);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($openk-mat-theme);
